## org.eclipse.datatools.modelbase.sql.datatypes
Interface SQLDataTypesFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface SQLDataTypesFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SQLDataTypesPackage`

Field Summary
`static SQLDataTypesFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`ApproximateNumericDataType` `createApproximateNumericDataType()` Returns a new object of class 'Approximate Numeric Data Type'.
`AttributeDefinition` `createAttributeDefinition()` Returns a new object of class 'Attribute Definition'.
`BinaryStringDataType` `createBinaryStringDataType()` Returns a new object of class 'Binary String Data Type'.
`BooleanDataType` `createBooleanDataType()` Returns a new object of class 'Boolean Data Type'.
`CharacterSet` `createCharacterSet()` Returns a new object of class 'Character Set'.
`CharacterStringDataType` `createCharacterStringDataType()` Returns a new object of class 'Character String Data Type'.
`DataLinkDataType` `createDataLinkDataType()` Returns a new object of class 'Data Link Data Type'.
`DateDataType` `createDateDataType()` Returns a new object of class 'Date Data Type'.
`DistinctUserDefinedType` `createDistinctUserDefinedType()` Returns a new object of class 'Distinct User Defined Type'.
`Domain` `createDomain()` Returns a new object of class 'Domain'.
`ElementType` `createElementType()` Returns a new object of class 'Element Type'.
`Field` `createField()` Returns a new object of class 'Field'.
`FixedPrecisionDataType` `createFixedPrecisionDataType()` Returns a new object of class 'Fixed Precision Data Type'.
`IntegerDataType` `createIntegerDataType()` Returns a new object of class 'Integer Data Type'.
`IntervalDataType` `createIntervalDataType()` Returns a new object of class 'Interval Data Type'.
`RowDataType` `createRowDataType()` Returns a new object of class 'Row Data Type'.
`StructuredUserDefinedType` `createStructuredUserDefinedType()` Returns a new object of class 'Structured User Defined Type'.
`TimeDataType` `createTimeDataType()` Returns a new object of class 'Time Data Type'.
`UserDefinedTypeOrdering` `createUserDefinedTypeOrdering()` Returns a new object of class 'User Defined Type Ordering'.
`XMLDataType` `createXMLDataType()` Returns a new object of class 'XML Data Type'.
`SQLDataTypesPackage` `getSQLDataTypesPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final SQLDataTypesFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createCharacterStringDataType

    CharacterStringDataType createCharacterStringDataType()

  Returns a new object of class 'Character String Data Type'.

  Returns:
    a new object of class 'Character String Data Type'.

### createRowDataType

    RowDataType createRowDataType()

  Returns a new object of class 'Row Data Type'.

  Returns:
    a new object of class 'Row Data Type'.

### createBooleanDataType

    BooleanDataType createBooleanDataType()

  Returns a new object of class 'Boolean Data Type'.

  Returns:
    a new object of class 'Boolean Data Type'.

### createIntervalDataType

    IntervalDataType createIntervalDataType()

  Returns a new object of class 'Interval Data Type'.

  Returns:
    a new object of class 'Interval Data Type'.

### createBinaryStringDataType

    BinaryStringDataType createBinaryStringDataType()

  Returns a new object of class 'Binary String Data Type'.

  Returns:
    a new object of class 'Binary String Data Type'.

### createCharacterSet

    CharacterSet createCharacterSet()

  Returns a new object of class 'Character Set'.

  Returns:
    a new object of class 'Character Set'.

### createTimeDataType

    TimeDataType createTimeDataType()

  Returns a new object of class 'Time Data Type'.

  Returns:
    a new object of class 'Time Data Type'.

### createDistinctUserDefinedType

    DistinctUserDefinedType createDistinctUserDefinedType()

  Returns a new object of class 'Distinct User Defined Type'.

  Returns:
    a new object of class 'Distinct User Defined Type'.

### createStructuredUserDefinedType

    StructuredUserDefinedType createStructuredUserDefinedType()

  Returns a new object of class 'Structured User Defined Type'.

  Returns:
    a new object of class 'Structured User Defined Type'.

### createAttributeDefinition

    AttributeDefinition createAttributeDefinition()

  Returns a new object of class 'Attribute Definition'.

  Returns:
    a new object of class 'Attribute Definition'.

### createFixedPrecisionDataType

    FixedPrecisionDataType createFixedPrecisionDataType()

  Returns a new object of class 'Fixed Precision Data Type'.

  Returns:
    a new object of class 'Fixed Precision Data Type'.

### createDomain

    Domain createDomain()

  Returns a new object of class 'Domain'.

  Returns:
    a new object of class 'Domain'.

### createField

    Field createField()

  Returns a new object of class 'Field'.

  Returns:
    a new object of class 'Field'.

### createDataLinkDataType

    DataLinkDataType createDataLinkDataType()

  Returns a new object of class 'Data Link Data Type'.

  Returns:
    a new object of class 'Data Link Data Type'.

### createUserDefinedTypeOrdering

    UserDefinedTypeOrdering createUserDefinedTypeOrdering()

  Returns a new object of class 'User Defined Type Ordering'.

  Returns:
    a new object of class 'User Defined Type Ordering'.

### createDateDataType

    DateDataType createDateDataType()

  Returns a new object of class 'Date Data Type'.

  Returns:
    a new object of class 'Date Data Type'.

### createApproximateNumericDataType

    ApproximateNumericDataType createApproximateNumericDataType()

  Returns a new object of class 'Approximate Numeric Data Type'.

  Returns:
    a new object of class 'Approximate Numeric Data Type'.

### createIntegerDataType

    IntegerDataType createIntegerDataType()

  Returns a new object of class 'Integer Data Type'.

  Returns:
    a new object of class 'Integer Data Type'.

### createXMLDataType

    XMLDataType createXMLDataType()

  Returns a new object of class 'XML Data Type'.

  Returns:
    a new object of class 'XML Data Type'.

### createElementType

    ElementType createElementType()

  Returns a new object of class 'Element Type'.

  Returns:
    a new object of class 'Element Type'.

### getSQLDataTypesPackage

    SQLDataTypesPackage getSQLDataTypesPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.